<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lpa__internal" kind="group">
    <compoundname>Group_lpa_internal</compoundname>
    <title>Group_lpa_internal</title>
    <innerclass prot="public" refid="structol__fns">ol_fns</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__lpa__internal_1ga72def6eb1649ece6f28243186df67be0" kind="enum" prot="public" static="no">
        <name>ol_pm_st_t</name>
        <enumvalue id="group__group__lpa__internal_1gga72def6eb1649ece6f28243186df67be0a4aabf880ab6e5db6b2f7c73cd650baec" prot="public">
          <name>OL_PM_ST_GOING_TO_SLEEP</name>
          <briefdescription>
<para>Host is going to sleep. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__internal_1gga72def6eb1649ece6f28243186df67be0ac229b6bd8e4585da1785099b1cd08f2f" prot="public">
          <name>OL_PM_ST_AWAKE</name>
          <briefdescription>
<para>Host is awake. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lpa__internal_1gga72def6eb1649ece6f28243186df67be0ad9bced357c376484fba7055e8fe149d4" prot="public">
          <name>OL_PM_ST_MAX</name>
          <briefdescription>
<para>Maximum power-mode status value; invalid power-mode status. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>ol_pm_st_t: </bold><linebreak />Offload host power-mode status.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="41" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" bodystart="36" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" line="37" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__lpa__internal_1ga9def4ca12e21880657322882de19622b" kind="typedef" prot="public" static="no">
        <type>int()</type>
        <definition>typedef int() ol_init_t(void *ol, ol_info_t *ol_info, const void *cfg)</definition>
        <argsstring>(void *ol, ol_info_t *ol_info, const void *cfg)</argsstring>
        <name>ol_init_t</name>
        <briefdescription>
<para>Offload de-initialization function. </para>        </briefdescription>
        <detaileddescription>
<para>Offload will free resource and unregister callbacks. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" bodystart="52" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" line="52" />
      </memberdef>
      <memberdef id="group__group__lpa__internal_1ga430866a43c3edc038156f38680ede8fd" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() ol_deinit_t(void *ol)</definition>
        <argsstring>(void *ol)</argsstring>
        <name>ol_deinit_t</name>
        <briefdescription>
<para>Offload host power-mode changed handler function. </para>        </briefdescription>
        <detaileddescription>
<para>Offload is notified that the host power-mode is changing and has an opportunity to change its internal state. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" line="58" />
      </memberdef>
      <memberdef id="group__group__lpa__internal_1ga7b77ef0d7e6402fab179216dd39ec35b" kind="typedef" prot="public" static="no">
        <type>void()</type>
        <definition>typedef void() ol_pm_t(void *ol, ol_pm_st_t pm_state)</definition>
        <argsstring>(void *ol, ol_pm_st_t pm_state)</argsstring>
        <name>ol_pm_t</name>
        <briefdescription>
<para>Offload function pointer table. </para>        </briefdescription>
        <detaileddescription>
<para>Offload must define an implementation for each table entry. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" line="65" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__lpa__internal_1gabddf7b41f5e99ac7c694e6872a9195b2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cylpa_olm_dispatch_pm_notification</definition>
        <argsstring>(olm_t *olm, ol_pm_st_t st)</argsstring>
        <name>cylpa_olm_dispatch_pm_notification</name>
        <param>
          <type><ref kindref="compound" refid="structolm__t">olm_t</ref> *</type>
          <declname>olm</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__lpa__internal_1ga72def6eb1649ece6f28243186df67be0">ol_pm_st_t</ref></type>
          <declname>st</declname>
        </param>
        <briefdescription>
<para>This function dispatches pm notifications. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>olm</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the olm structure <ref kindref="compound" refid="structolm__t">olm_t</ref>.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>st</parametername>
</parameternamelist>
<parameterdescription>
<para>st New Power State ( see ol_pm_st_t) </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="359" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_olm.c" bodystart="319" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-lpa/source/cy_lpa_wifi_ol_priv.h" line="79" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>